Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQSGIStyle Class Reference

The TQSGIStyle class provides SGI/Irix look and feel. More...

`#include <ntqsgistyle.h>`

Inherits TQMotifStyle.

List of all member functions.

## Public Members

- TQSGIStyle ( bool useHighlightCols = FALSE )
- virtual ~TQSGIStyle ()

## Detailed Description

The TQSGIStyle class provides SGI/Irix look and feel.

This class implements the SGI look and feel. It resembles the SGI/Irix Motif GUI style as closely as TQStyle allows.

See also Widget Appearance and Style.

## Member Function Documentation

### TQSGIStyle::TQSGIStyle ( bool useHighlightCols = FALSE )

Constructs a TQSGIStyle.

If useHighlightCols is FALSE (default value), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

See also TQMotifStyle::useHighlightColors().

### TQSGIStyle::~TQSGIStyle ()`[virtual]`

Destroys the style.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.